## wkhtmltopdf 0.8.0

=== CMakeLists.txt ===
# This file is part of wkhtmltopdf.
#
# wkhtmltopdf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# wkhtmltopdf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with wkhtmltopdf.  If not, see <http://www.gnu.org/licenses/>.
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(wkhtmltopdf)
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "8")
SET(CPACK_PACKAGE_VERSION_PATCH "0")

SET( CMAKE_COLOR_MAKEFILE ON )
SET( CMAKE_VERBOSE_MAKEFILE ON )
SET( CMAKE_INCLUDE_CURRENT_DIR TRUE )
ADD_DEFINITIONS( -Wall -ansi -DMAJOR_VERSION=${CPACK_PACKAGE_VERSION_MAJOR} -DMINOR_VERSION=${CPACK_PACKAGE_VERSION_MINOR} -DPATCH_VERSION=${CPACK_PACKAGE_VERSION_PATCH})
SET( QT_USE_QTWEBKIT TRUE )
SET( QT_USE_QTNETWORK TRUE )
FIND_PACKAGE( Qt4 REQUIRED )
INCLUDE( ${QT_USE_FILE} )
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR} )
QT4_WRAP_CPP(HAT wkhtmltopdf.hh toc.hh)
ADD_EXECUTABLE(wkhtmltopdf wkhtmltopdf.cc toc.cc arguments.cc ${HAT})
TARGET_LINK_LIBRARIES( wkhtmltopdf ${QT_LIBRARIES} )
INSTALL(TARGETS wkhtmltopdf DESTINATION bin)

SET(CPACK_PACKAGE_NAME wkhtmltopdf)
SET(CPACK_SYSTEM_NAME linux-amd64)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simple shell utility to convert html to pdf using the webkit rendering engine, and qt.")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Jakob Truelsen (http://www.daimi.au.dk/~jakobt/")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
#objdump -p wkhtmltopdf | grep NEEDED | sed -re 's/NEEDED//' | xargs dpkg-query -S | sed -re 's/:.*//' | sort -u
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-webkit, libqt4-network, libqt4-gui")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")

SET(CPACK_GENERATOR "DEB")
execute_process(COMMAND dpkg --print-architecture OUTPUT_VARIABLE CPACK_DEBIAN_PACKAGE_ARCHITECTURE ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")

SET(CPACK_STRIP_FILES "bin/wkhtmltopdf")
SET(CPACK_SOURCE_STRIP_FILES "")

SET(CPACK_PACKAGE_EXECUTABLES "wkhtmltopdf" "wkhtmltopdf")
INCLUDE(CPack)

## wkhtmltopdf 0.9.9

=== debian/changelog ===
wkhtmltopdf (0.9.9-1) unstable; urgency=low

  * New upstream release (Closes: #581799)
  * Fix debian/watch (take into account GoogleCode changes)
  * Switch to dpkg-source 3.0 (quilt) format
  * Add a patch to fix some typos.

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 26 May 2010 20:25:29 +0000

wkhtmltopdf (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 22 Mar 2010 19:11:21 +0000

wkhtmltopdf (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Minor debian/copyright updates

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 11 Mar 2010 13:40:56 +0000

wkhtmltopdf (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 24 Feb 2010 01:00:06 +0100

wkhtmltopdf (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Remove patch about manpage fixes (merged upstream)

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 28 Jan 2010 19:48:59 +0000

wkhtmltopdf (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #551848)
  * Add a patch to fix bugs with the manpage:
    - hyphen used as minus sign
    - standardization of the NAME section
  * Add a README.source file about quilt usage with Debian patches.
  * Bump Standards-Version to 3.8.3
  * Maintainer became Debian Developer: adjust email, VCS and DM fields.

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 16 Jan 2010 11:43:12 +0000

wkhtmltopdf (0.8.3-1) unstable; urgency=low

  * New upstream release
  * Remove the patch which fix a segfault during start-up (fixed upstream).

 -- Emmanuel Bouthenot <kolter@openics.org>  Thu, 06 Aug 2009 12:03:29 +0000

wkhtmltopdf (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright: manpage is no longer under GFDL.
  * Update debian/control: bump Standards-Version to 3.8.2
  * Add a patch (backported from svn trunk) to fix a segfault during
    start-up.

 -- Emmanuel Bouthenot <kolter@openics.org>  Mon, 13 Jul 2009 22:58:55 +0000

wkhtmltopdf (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Improve debian/rules using dh7 overrides (update debhelper dependency
    accordingly).

 -- Emmanuel Bouthenot <kolter@openics.org>  Wed, 20 May 2009 21:31:18 +0200

wkhtmltopdf (0.7.5-1) experimental; urgency=low

  * Initial release (Closes: #514422)

 -- Emmanuel Bouthenot <kolter@openics.org>  Wed, 29 Apr 2009 13:54:39 +0000

=== debian/control ===
Source: wkhtmltopdf
Section: utils
Priority: extra
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends: debhelper (>= 7.0.50), qt4-qmake, libqt4-dev (>=4.5)
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/wkhtmltopdf/
Vcs-Git: git://git.debian.org/users/kolter/wkhtmltopdf.git
Vcs-Browser: http://git.debian.org/git/users/kolter/wkhtmltopdf.git

Package: wkhtmltopdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xserver | xvfb
Description: Command line utility to convert html to pdf using WebKit
 wkhtmltopdf is a command line program which permits to create a
 pdf from an url, a local html file or stdin. It produces a pdf like
 rendred with the WebKit engine.
 .
 This program requires an X11 server to run.

=== debian/rules ===
#!/usr/bin/make -f

Makefile:
	dh_testdir
	qmake-qt4 -makefile -unix

build: Makefile
	# invoke 'manins' target to build the manpage as well
	$(MAKE) manins

override_dh_auto_install:
	# make install is buggy
	echo

clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# manpage not removed properly
	rm -f wkhtmltopdf.1.gz
	dh $@

%:
	dh $@

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://wkhtmltopdf.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/wkhtmltopdf/downloads/detail[?]name=wkhtmltopdf-([0-9.]+).tar.bz2&.*

## wkhtmltopdf 0.12.0

=== debian/changelog ===
wkhtmltopdf (0.12.0-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 03 May 2014 17:15:38 +0000

wkhtmltopdf (0.12.0-2) unstable; urgency=medium

  * Fix the watch file (source code is now located at github)
  * Fix debian/copyright (license is LGPL-3, not GPL-3)

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 26 Mar 2014 20:16:57 +0100

wkhtmltopdf (0.12.0-1) unstable; urgency=low

  * New upstream release (Closes: #679755)
  * Add patches to fix build failures and disable linking against the
    shared library which is not mature enough to be packaged. Thanks to
    Ashish Kulkarni for the patches.
  * Add a patch to remove the git hash from the version
  * Add a patch to fix some typos
  * debian/control updates:
    - update Homepage field
    - update short and extended descriptions
    - fix Vcs-Browser field
  * Update debian/copyright according to the new release (switch to
    DEP5 format)
  * Bump Standards-Version to 3.9.5

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 25 Mar 2014 22:32:59 +0100

wkhtmltopdf (0.9.9-4) unstable; urgency=low

  * Fix a FTBFS triggered by a arch:any rebuild (Closes: #666321)
  * Fix typo in debian/control (long description)
  * Bump Standards-Version to 3.9.3
  * Switch debhelper compat to v9
  * Enabling hardened build flags

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 02 Apr 2012 20:23:26 +0000

wkhtmltopdf (0.9.9-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Mention xvfb-run in README.Debian, which makes it trivial to run
    wkhtmltopdf without X (Closes: #612235).

  [ Emmanuel Bouthenot ]
  * Convert patches to dep3 format.
  * Add a missing dependency on libqtwebkit-dev (due to the recent split of
    libqt4-dev) to fix a FTBFS (Closes: #618226).

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 24 Feb 2011 21:27:20 +0000

wkhtmltopdf (0.9.9-2) unstable; urgency=low

  * Add a patch to fix --encoding option (Closes: #599421).
  * Bump Standards-Version to 3.9.1.
  * Fix Vcs-Browser url.

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 12 Oct 2010 20:42:47 +0000

=== debian/control ===
Source: wkhtmltopdf
Section: utils
Priority: extra
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 9),
    qt4-qmake,
    libqt4-dev (>=4.5),
    libqtwebkit-dev
Standards-Version: 3.9.5
Homepage: http://wkhtmltopdf.org/
Vcs-Git: git://anonscm.debian.org/users/kolter/wkhtmltopdf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/wkhtmltopdf.git

Package: wkhtmltopdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xserver | xvfb
Description: Command line utilities to convert html to pdf or image using WebKit
 wkhtmltopdf is a command line program which permits one to create a
 pdf or an image from an url, a local html file or stdin. It produces a pdf or
 an image like rendred with the WebKit engine.
 .
 This program requires an X11 server to run.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C src/pdf manins
	$(MAKE) -C src/image manins
	$(MAKE) README_WKHTMLTOPDF README_WKHTMLTOIMAGE

override_dh_auto_install:
	# skip auto install
	echo

clean:
	# manpages not removed properly
	rm -f wkhtmltopdf.1.gz wkhtmltoimage.1.gz
	rm -f README_WKHTMLTOPDF README_WKHTMLTOIMAGE
	dh $@

%:
	dh $@ --parallel

## wkhtmltopdf 0.12.1

=== debian/changelog ===
wkhtmltopdf (0.12.1-2) unstable; urgency=medium

  * Add a patch to explicitely include QPrinter Support in build process
    (Closes: #763216)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 28 Sep 2014 19:53:07 +0200

wkhtmltopdf (0.12.1-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches and remove patches merged upstream
    - Adjust packaging to build manpages
  * Build against QT5 instead of QT4
  * Fixes in the LGPL-3 notice (debian/copyright)
  * Move xserver Suggests to Recommends (Closes: #580226)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 24 Aug 2014 18:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,14 @@
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
     debhelper (>= 9),
-    qt4-qmake,
-    libqt4-dev (>=4.5),
-    libqtwebkit-dev
+    qt5-qmake,
+    qtbase5-dev,
+    libqt5webkit5-dev,
+    libqt5svg5-dev,
+    libqt5xmlpatterns5-dev,
+    qtquick1-5-dev,
+    qtdeclarative5-dev,
+    libqt5opengl5-dev
 Standards-Version: 3.9.5
 Homepage: http://wkhtmltopdf.org/
 Vcs-Git: git://anonscm.debian.org/users/kolter/wkhtmltopdf.git
@@ -15,7 +20,7 @@
 Package: wkhtmltopdf
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: xserver | xvfb
+Recommends: xserver | xvfb
 Description: Command line utilities to convert html to pdf or image using WebKit
  wkhtmltopdf is a command line program which permits one to create a
  pdf or an image from an url, a local html file or stdin. It produces a pdf or

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/qt5/bin/qmake \
		-makefile -nocache \
		QMAKE_CFLAGS_RELEASE="$(CFLAGS) $(CPPFLAGS)" \
		QMAKE_CXXFLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" \
		QMAKE_LFLAGS_RELEASE="$(LDFLAGS)"

override_dh_auto_install:
	# skip auto install and build/install manpages separately
	$(MAKE) -C src/pdf install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr
	$(MAKE) -C src/image install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr

clean:
#	# Binaries not removed properly
	rm -rf bin
	dh $@

%:
	dh $@ --parallel

## wkhtmltopdf 0.12.2

=== debian/changelog ===
wkhtmltopdf (0.12.2-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches
    - Remove patch to include QPrinter Support in build process (fixed
      upstream)
  * Bump Standards-Version to 3.9.6

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 18 Jan 2015 00:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
     qtquick1-5-dev,
     qtdeclarative5-dev,
     libqt5opengl5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wkhtmltopdf.org/
 Vcs-Git: git://anonscm.debian.org/users/kolter/wkhtmltopdf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/wkhtmltopdf.git

## wkhtmltopdf 0.12.2.1

=== debian/changelog ===
wkhtmltopdf (0.12.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 20 Jan 2015 20:22:53 +0100

## wkhtmltopdf 0.12.2.2

=== debian/changelog ===
wkhtmltopdf (0.12.2.2-1) unstable; urgency=medium

  * New upstream release
  * Add new binary package wkhtmltopdf-dbg with debug symbols
    (Closes: #781216, #781218)

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 11 May 2015 19:45:31 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 Package: wkhtmltopdf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+    ${misc:Depends},
+    ${shlibs:Depends}
 Recommends: xserver | xvfb
 Description: Command line utilities to convert html to pdf or image using WebKit
  wkhtmltopdf is a command line program which permits one to create a
@@ -27,3 +29,17 @@
  an image like rendred with the WebKit engine.
  .
  This program requires an X11 server to run.
+
+Package: wkhtmltopdf-dbg
+Section: debug
+Architecture: any
+Depends:
+    ${misc:Depends},
+    ${shlibs:Depends},
+    wkhtmltopdf (= ${binary:Version})
+Description: Command line utilities to convert html to pdf or image - debugging symbols
+ wkhtmltopdf is a command line program which permits one to create a
+ pdf or an image from an url, a local html file or stdin. It produces a pdf or
+ an image like rendred with the WebKit engine.
+ .
+ This package contains gdb debugging symbols for the wkhtmltopdf package.

## wkhtmltopdf 0.12.2.4

=== debian/changelog ===
wkhtmltopdf (0.12.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 18 Jul 2015 09:55:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 	$(MAKE) -C src/pdf install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr
 	$(MAKE) -C src/image install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr
 
+override_dh_strip:
+	dh_strip --dbg-package=wkhtmltopdf-dbg
+
 clean:
 #	# Binaries not removed properly
 	rm -rf bin

=== debian/watch ===
version=3
https://github.com/wkhtmltopdf/wkhtmltopdf/tags .*/v?(\d[\d\.]+)\.tar\.gz

## wkhtmltopdf 0.12.3.2

=== debian/changelog ===
wkhtmltopdf (0.12.3.2-3) unstable; urgency=medium

  * Fix typos in long descriptions. Thanks to Victory for the suggestion.
  * Bump Standards-Version to 3.9.8

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 19 Sep 2016 22:29:11 +0200

wkhtmltopdf (0.12.3.2-2) unstable; urgency=medium

  * Fix Vcs-(Git|Browser) fields pointing to the wrong URI. Thanks to
    Ashish Kulkarni

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 13 Apr 2016 17:27:16 +0200

wkhtmltopdf (0.12.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #816714)
  * Remove unneeded Buid-Dep on qtquick1-5-dev. Thanks to Sune Vuorela
    (Closes: #808780)
  * Fix Vcs-(Git|Browser) fields to use secure URIs
  * Enable hardening=+all build
  * Bump Standards-Version to 3.9.7

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 05 Mar 2016 12:58:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
     libqt5webkit5-dev,
     libqt5svg5-dev,
     libqt5xmlpatterns5-dev,
-    qtquick1-5-dev,
     qtdeclarative5-dev,
     libqt5opengl5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wkhtmltopdf.org/
-Vcs-Git: git://anonscm.debian.org/users/kolter/wkhtmltopdf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/kolter/wkhtmltopdf.git
+Vcs-Git: https://anonscm.debian.org/git/users/kolter/wkhtmltopdf.git
+Vcs-Browser: https://anonscm.debian.org/git/users/kolter/wkhtmltopdf.git
 
 Package: wkhtmltopdf
 Architecture: any
@@ -26,7 +25,7 @@
 Description: Command line utilities to convert html to pdf or image using WebKit
  wkhtmltopdf is a command line program which permits one to create a
  pdf or an image from an url, a local html file or stdin. It produces a pdf or
- an image like rendred with the WebKit engine.
+ an image like rendered with the WebKit engine.
  .
  This program requires an X11 server to run.
 
@@ -40,6 +39,6 @@
 Description: Command line utilities to convert html to pdf or image - debugging symbols
  wkhtmltopdf is a command line program which permits one to create a
  pdf or an image from an url, a local html file or stdin. It produces a pdf or
- an image like rendred with the WebKit engine.
+ an image like rendered with the WebKit engine.
  .
  This package contains gdb debugging symbols for the wkhtmltopdf package.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_configure:
 	/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/qt5/bin/qmake \

## wkhtmltopdf 0.12.4

=== debian/changelog ===
wkhtmltopdf (0.12.4-1) unstable; urgency=medium

  * New upstream release
  * Fix FTCBFS: let dh_auto_configure run qmake with the right flags.
    Thanks to Helmut Grohne for the patch (Closes: #886471)
  * Fix long description to explain that it is not built against a
    forked version of Qt (Closes: #826611)
  * Add a patch to make wkhtmltopdf build against Qt >= 5.8
  * Remove useless wkhtmltopdf-dbg binary package
  * Change priority from extra to optional
  * Bump Standards-Version to 4.1.3
  * Fix debian/copyright Format URI (https)
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Switch to https for Homepage field in debian/control
  * Add debian/upstream/metadata
  * Add some information on README.Debian about X Server bypass with
    QT_QPA_* environment variables

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 27 Mar 2018 21:49:31 +0200

=== debian/control ===
Source: wkhtmltopdf
Section: utils
Priority: optional
Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 11),
    qt5-qmake,
    qtbase5-dev,
    libqt5webkit5-dev,
    libqt5svg5-dev,
    libqt5xmlpatterns5-dev,
    qtdeclarative5-dev,
    libqt5opengl5-dev
Standards-Version: 4.1.3
Homepage: https://wkhtmltopdf.org/
Vcs-Git: https://salsa.debian.org/kolter/wkhtmltopdf.git
Vcs-Browser: https://salsa.debian.org/kolter/wkhtmltopdf

Package: wkhtmltopdf
Architecture: any
Depends:
    ${misc:Depends},
    ${shlibs:Depends}
Recommends: xserver | xvfb
Description: Command line utilities to convert html to pdf or image using WebKit
 wkhtmltopdf is a command line program which permits one to create a
 pdf or an image from an url, a local html file or stdin. It produces a pdf or
 an image like rendered with the WebKit engine.
 .
 This program requires an X11 server to run.
 .
 It is not built against a forked version of Qt hence some options are not
 supported.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

override_dh_auto_install:
	# skip auto install and build/install manpages separately
	$(MAKE) -C src/pdf install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr
	$(MAKE) -C src/image install_man INSTALL_ROOT=$(CURDIR)/debian/wkhtmltopdf/usr

clean:
#	# Binaries not removed properly
	rm -rf bin
	dh $@

%:
	dh $@

## wkhtmltopdf 0.12.5

=== debian/changelog ===
wkhtmltopdf (0.12.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:43 +0100

wkhtmltopdf (0.12.5-1) unstable; urgency=medium

  * New upstream release
  * Remove patch which fix wkhtmltopdf build against Qt >= 5.8
  * Switch debhelper compatibility to 12
  * Bump Standards-Version to 4.3.0
  * Switch qt5-qmake build dependency to qt5-qmake-bin

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 14 Feb 2019 20:50:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 11),
-    qt5-qmake,
+    debhelper (>= 12),
+    qt5-qmake-bin,
     qtbase5-dev,
     libqt5webkit5-dev,
     libqt5svg5-dev,
     libqt5xmlpatterns5-dev,
     qtdeclarative5-dev,
     libqt5opengl5-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://wkhtmltopdf.org/
 Vcs-Git: https://salsa.debian.org/kolter/wkhtmltopdf.git
 Vcs-Browser: https://salsa.debian.org/kolter/wkhtmltopdf

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 clean:
 #	# Binaries not removed properly
 	rm -rf bin
+	# Remove build objects
+	find -iname 'moc_*.*' -delete
+	find -iname '*.o' -delete
 	dh $@
 
 %:

## wkhtmltopdf 0.12.6

=== examples/Makefile ===
CFLAGS= -I ../include 
LDFLAGS=-L ../bin -lwkhtmltox -Wall -ansi -pedantic -ggdb

EXES=pdf_c_api image_c_api

all: $(EXES)

.PHONY: clean run all

run: pdf_c_api
	LD_LIBRARY_PATH=../bin ./pdf_c_api 

runimage: image_c_api
	LD_LIBRARY_PATH=../bin ./image_c_api

clean:
	$(RM) $(EXES)

=== debian/changelog ===
wkhtmltopdf (0.12.6-2) UNRELEASED; urgency=medium

  * update

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 18 May 2022 10:01:37 +0800

wkhtmltopdf (0.12.6-2) unstable; urgency=medium

  * Remove useless HomePage field in upstream/metadata
  * Bump Standards-Version to 4.6.0.1
  * Switch debian/watch to version 4

 -- Emmanuel Bouthenot <kolter@debian.org>  Sat, 11 Sep 2021 20:15:59 +0000

wkhtmltopdf (0.12.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Switch debhelper compatibility to 13

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 17 Aug 2020 21:48:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper (>= 13),
+    debhelper-compat (= 13),
     qt5-qmake-bin,
     qtbase5-dev,
     libqt5webkit5-dev,
@@ -11,7 +12,8 @@
     libqt5xmlpatterns5-dev,
     qtdeclarative5-dev,
     libqt5opengl5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://wkhtmltopdf.org/
 Vcs-Git: https://salsa.debian.org/kolter/wkhtmltopdf.git
 Vcs-Browser: https://salsa.debian.org/kolter/wkhtmltopdf

=== debian/watch ===
version=4
https://github.com/wkhtmltopdf/wkhtmltopdf/tags .*/v?(\d[\d\.]+)\.tar\.gz
